> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List group types



## OpenAPI

````yaml get /v1/group-types
openapi: 3.0.0
info:
  title: Settings APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/settings
  - url: https://staging.api.eu.aptlydone.com/settings
  - url: https://api.us.aptlydone.com/settings
  - url: https://api.eu.aptlydone.com/settings
security: []
tags: []
paths:
  /v1/group-types:
    get:
      tags:
        - group-types
      summary: List group types
      operationId: GroupTypeController_listTenantGroupTypes_v1
      parameters:
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            type: number
            example: 1
            minimum: 1
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 100
            example: 10
            type: number
        - name: tenantId
          required: true
          in: query
          description: Tenant ID
          schema:
            example: 48856729-a26e-4223-86e8-24b026112520
            type: string
        - name: isActive
          required: false
          in: query
          description: Is Active
          schema:
            type: boolean
            example: false
      responses:
        '200':
          description: Tenant group types fetched successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedTenantGroupTypeResponseDtoResponse
      security:
        - accessToken: []
components:
  schemas:
    PaginatedTenantGroupTypeResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 200
        timestamp:
          type: string
          example: '2026-01-08T06:33:21.956Z'
        message:
          type: string
          example: Success
        data:
          type: object
          required:
            - page
            - limit
            - total
            - data
          properties:
            page:
              type: number
              example: 1
              minimum: 1
            limit:
              type: number
              example: 10
              minimum: 1
            total:
              type: number
              example: 100
              minimum: 0
            data:
              type: array
              items:
                $ref: '#/components/schemas/TenantGroupTypeResponseDto'
      required:
        - statusCode
        - timestamp
        - message
    TenantGroupTypeResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 3201254a-c76c-4ab3-8ba5-dffbe3fd87e1
          description: Unique identifier
        tenantId:
          type: string
          example: 176c9cbd-c764-433a-9b5f-f35327513553
          description: Tenant ID
        groupTypeName:
          type: string
          example: Department
          description: Group type name
          nullable: true
        shouldAllowEnableDisable:
          type: boolean
          example: true
          description: >-
            Flag to indicate if enable/disable is allowed or not for the group
            type
          nullable: true
        addressEnabled:
          type: boolean
          example: false
          description: >-
            Flag to indicate if address fields are enabled for groups of this
            type
          nullable: true
        isDefault:
          type: boolean
          example: false
          description: Is default flag
          nullable: true
        disableOption:
          type: string
          nullable: true
          enum:
            - KEEP_ASSOCIATIONS
            - REMOVE_ASSOCIATIONS
            - NA
          description: Disable option
          example: NA
        isDeleted:
          type: boolean
          example: false
          description: Is deleted flag
          nullable: true
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
          description: Status
          nullable: true
          example: ACTIVE
        createdBy:
          type: string
          example: null
          description: Created by user ID
          nullable: true
        createdOn:
          format: date-time
          type: string
          example: '2024-12-18T09:50:43.338Z'
          description: Creation timestamp
        updatedOn:
          format: date-time
          type: string
          example: '2024-12-18T09:50:43.338Z'
          description: Last update timestamp
        updatedBy:
          type: string
          example: null
          description: Updated by user ID
          nullable: true
      required:
        - id
        - tenantId
        - groupTypeName
        - shouldAllowEnableDisable
        - addressEnabled
        - isDefault
        - disableOption
        - isDeleted
        - status
        - createdBy
        - createdOn
        - updatedOn
        - updatedBy
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````